跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
dataforseo_labs
/
google
/
historical_keyword_data
/
live
历史关键词数据
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/historical_keyword_data/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keywords": [
    "<string>"
  ],
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "tag": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/historical_keyword_data/live"

payload = {
"keywords": ["<string>"],
"location_name": "<string>",
"location_code": 123,
"language_name": "<string>",
"language_code": "<string>",
"tag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keywords: ['<string>'],
location_name: '<string>',
location_code: 123,
language_name: '<string>',
language_code: '<string>',
tag: '<string>'
})
};

fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/historical_keyword_data/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.se_type": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.se_type": "<string>",
  "tasks.result.items.keyword": "<string>",
  "tasks.result.items.location_code": 123,
  "tasks.result.items.language_code": "<string>",
  "tasks.result.items.history": [
    "<string>"
  ],
  "tasks.result.items.history.year": 123,
  "tasks.result.items.history.month": 123,
  "tasks.result.items.history.keyword_info": {},
  "tasks.result.items.history.keyword_info.se_type": "<string>",
  "tasks.result.items.history.keyword_info.last_updated_time": "<string>",
  "tasks.result.items.history.keyword_info.competition": 123,
  "tasks.result.items.history.keyword_info.competition_level": "<string>",
  "tasks.result.items.history.keyword_info.cpc": 123,
  "tasks.result.items.history.keyword_info.search_volume": 123,
  "tasks.result.items.history.keyword_info.low_top_of_page_bid": 123,
  "tasks.result.items.history.keyword_info.high_top_of_page_bid": 123,
  "tasks.result.items.history.keyword_info.categories": [
    "<string>"
  ],
  "tasks.result.items.history.keyword_info.monthly_searches": [
    "<string>"
  ],
  "tasks.result.items.history.keyword_info.monthly_searches.year": 123,
  "tasks.result.items.history.keyword_info.monthly_searches.month": 123,
  "tasks.result.items.history.keyword_info.monthly_searches.search_volume": 123,
  "tasks.result.items.history.keyword_info.search_volume_trend": {},
  "tasks.result.items.history.keyword_info.search_volume_trend.monthly": 123,
  "tasks.result.items.history.keyword_info.search_volume_trend.quarterly": 123,
  "tasks.result.items.history.keyword_info.search_volume_trend.yearly": 123
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
keywords
string[]
必填

keywords 必填字段 可指定的关键词数量上限:700 每个关键词的字符数上限:80 每个关键词短语的单词数上限:10 指定的关键词将转换为小写格式,数据将在单独的数组中提供 请注意,如果此数组中指定的某些关键词未出现在返回结果中,则表示我们的数据库不包含这些关键词,因而无法返回其相关数据 未出现在结果中的关键词不会收费 有关 DataForSEO API 中 keyword 和 keywords 字段的规则与限制,请参阅此帮助中心文章

location_name
string
必填

位置的完整名称;未指定 location_code 时为必填字段。注意:必须指定 location_name 或 location_code 之一。您可以通过向 https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages 单独发送请求,获取包含 location_name 的可用位置列表;示例:United Kingdom

location_code
integer
必填

位置代码;如果未指定 location_name,则为必填字段。注意:必须指定 location_name 或 location_code 其中之一;可通过向 https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages 单独发起请求,获取可用位置及其 location_code 的列表;示例:2840

language_name
string
必填

语言的完整名称 如果未指定 language_code,则为必填字段 注意:必须指定 language_name 或 language_code 之一 可以通过向 https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages 单独发送请求,获取包含 language_name 的可用位置列表 示例:English

language_code
string
必填

语言代码;如果未指定 language_name,则此字段为必填字段。注意:必须指定 language_name 或 language_code 之一。您可以通过向 https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages 单独发送请求,获取可用位置及其 language_code 的列表。示例:en

tag
string

用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配;您将在响应的 data 对象中找到指定的 tag 值

响应

成功响应

version
string

API 的当前版本

status_code
integer

通用状态码;您可以在此处查看完整的响应码列表。注意:我们强烈建议设计必要的系统来处理相关异常或错误情况

status_message
string

常规信息消息;可在此处查看常规信息消息的完整列表

time
string

执行时间(秒)

cost
number

任务总成本(美元)

tasks_count
integer

tasks 数组中的任务数量

tasks_error
integer

返回错误的 tasks 数组中的任务数量

tasks
string[]

任务数组

tasks.id
string

任务标识符,系统中采用 UUID 格式的唯一任务标识符

tasks.status_code
integer

DataForSEO 生成的任务状态码;范围为:10000-60000;完整响应代码列表可在此处查看

tasks.status_message
string

任务的信息性消息,你可以在此处查看通用信息性消息的完整列表

tasks.time
string

执行时间(秒)

tasks.cost
number

任务成本(美元)

tasks.result_count
integer

结果数组中的元素数量

tasks.path
string[]

URL 路径

tasks.data
object

包含您在 POST 请求中指定的相同参数

tasks.result
string[]

结果数组

tasks.result.se_type
string

搜索引擎类型

tasks.result.location_code
integer

POST 数组中的位置代码

tasks.result.language_code
string

POST 数组中的语言代码

tasks.result.items_count
integer

items 数组中返回的结果数量

tasks.result.items
string[]

包含关键词及相关数据

tasks.result.items.se_type
string

搜索引擎类型

tasks.result.items.keyword
string

keyword 关键词返回时会解码 %##(加号字符“+”将被解码为空格字符)

tasks.result.items.location_code
integer

POST 数组中的位置代码;如果没有数据,则值为 null

tasks.result.items.language_code
string

POST 数组中的语言代码

tasks.result.items.history
string[]

包含该关键词历史数据的对象数组

tasks.result.items.history.year
integer

tasks.result.items.history.month
integer

tasks.result.items.history.keyword_info
object

关键词的历史数据

tasks.result.items.history.keyword_info.se_type
string

搜索引擎类型

tasks.result.items.history.keyword_info.last_updated_time
string

关键词数据更新时间,采用 UTC 格式:“yyyy-mm-dd hh-mm-ss +00:00”;示例:2019-11-15 12:57:46 +00:00

tasks.result.items.history.keyword_info.competition
number

竞争度表示与给定关键词相关的相对竞争程度;该值基于 Google Ads 数据,取值范围为 0 到 1(含端点)

tasks.result.items.history.keyword_info.competition_level
string

竞争程度 表示给定关键词仅在付费 SERP 中的相对竞争程度;可能的值:LOW、MEDIUM、HIGH 如果竞争程度未知,则值为 null;有关该指标的更多信息,请参阅此帮助中心文章

tasks.result.items.history.keyword_info.cpc
number

每次点击费用,表示该关键词历史上每次点击的平均费用(USD)

tasks.result.items.history.keyword_info.search_volume
integer

平均月搜索量,表示给定关键词建议在 google.com 上的(近似)搜索次数

tasks.result.items.history.keyword_info.low_top_of_page_bid
number

广告在第一页顶部展示的最低出价,表示高于约 20% 的广告实际展示最低出价(基于 Google Ads 的广告主统计数据)。该值可能因 POST 请求中指定的位置而异

tasks.result.items.history.keyword_info.high_top_of_page_bid
number

广告在第一页顶部展示的最高出价,表示高于约 80% 的广告实际展示最低出价(基于 Google Ads 的广告主统计数据)。该值可能因 POST 请求中指定的位置而异

tasks.result.items.history.keyword_info.categories
string[]

产品和服务类别;您可以下载完整的可选类别列表

tasks.result.items.history.keyword_info.monthly_searches
string[]

月搜索量,表示指定地理位置中此关键词建议的(近似)搜索次数(可提供过去十二个月的数据)。

tasks.result.items.history.keyword_info.monthly_searches.year
integer

tasks.result.items.history.keyword_info.monthly_searches.month
integer

tasks.result.items.history.keyword_info.monthly_searches.search_volume
integer

月平均搜索量

tasks.result.items.history.keyword_info.search_volume_trend
object

搜索量趋势变化,表示与上一周期相比搜索量的百分比变化

tasks.result.items.history.keyword_info.search_volume_trend.monthly
integer

与上月相比的搜索量百分比变化

tasks.result.items.history.keyword_info.search_volume_trend.quarterly
integer

与上一季度相比的搜索量变化百分比

tasks.result.items.history.keyword_info.search_volume_trend.yearly
integer

与上一年相比的搜索量百分比变化